• Register
Description

This is the full release version of Atropos Mandate. As the game is based on early 2000s tech, most hardware currently in circulation should run it just fine. You will need Direct X9 installed and a D3D9 compatible graphics card.

Preview
AtroposMandateInstaller
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.